# Type Alias AutocompleteHierarchy

type AutocompleteHierarchy = {
additionalFilter?: {};
filters?: Filter[];
format?: string;
limit?: number;
orders?: { name: string; sort: string }[];
page?: number;
security?: number;
uriConcept?: string;
uriTaxonomy: string;
}

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:26

##### Index

### Properties

additionalFilter?
filters?
format?
limit?
orders?
page?
security?
uriConcept?
uriTaxonomy

## Properties

### `Optional` additionalFilter

additionalFilter?: {}

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:30

### `Optional` filters

filters?: Filter[]

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:31

### `Optional` format

format?: string

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:29

### `Optional` limit

limit?: number

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:27

### `Optional` orders

orders?: { name: string; sort: string }[]

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:32

### `Optional` page

page?: number

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:28

### `Optional` security

security?: number

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:33

### `Optional` uriConcept

uriConcept?: string

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:35

### uriTaxonomy

uriTaxonomy: string

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:34